lseek64(3)

NAME
lseek64 - reposition 64-bit read/write file offset

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#define _LARGEFILE64_SOURCE     /* See feature_test_macros(7) */
#include <sys/types.h>
#include <unistd.h>

[[deprecated]] off64_t lseek64(int fd, off64_t offset, int whence);

DESCRIPTION
This function is equivalent to lseek(2) if one compiles with

    #define _FILE_OFFSET_BITS 64

Use lseek(2) instead.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

HISTORY
glibc 2.1.

lseek64() is one of the functions that was specified in the Large File Summit (LFS) specification that was completed in 1996. The purpose of the specification was to provide transitional support that allowed applications on 32-bit systems to access files whose size exceeds that which can be represented with a 32-bit off_t type.

SEE ALSO
_llseek(2), lseek(2)